BKSOL(3)

SYNOPSIS
SUBROUTINE BKSOL (N, A, X)

NAME
bksol - Subsidiary to BVSUP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (BKSOL-S, DBKSOL-D)

AUTHOR
Watts, H. A., (SNLA)

DESCRIPTION
********************************************************************** Solution of an upper triangular linear system by back-substitution The matrix A is assumed to be stored in a linear array proceeding in a row-wise manner. The vector X contains the given constant vector on input and contains the solution on return. The actual diagonal of A is unity while a diagonal scaling matrix is stored there. **********************************************************************

SEE ALSO
BVSUP

ROUTINES CALLED
SDOT

REVISION HISTORY (YYMMDD)
750601 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)